> For the complete documentation index, see [llms.txt](https://docs.bisnode.ee/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bisnode.ee/financial-information/getfinancialinformation.md).

# getFinancialInformation

## getFinancialInformation

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/getFinancialInformation`

**Needed Headers:** Content-type: application/json\
\
This endpoint allows you to get company key financial indicators for 3 last available annual years in database such as:\
`* Revenue`\
`* Profit/Loss`\
`* Equity`\
`* Short-term liabilities`\
`* etc.`\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/getFinancialInformation' --data '{`\
&#x20;   `"token": "0c725874e737c8195de547f67692d8b976726561",`\
&#x20;   `"reg_code": "10117826",`\
&#x20;   `"country": "EST",`\
&#x20;   `"language": "en"`\
`}'`

#### Query Parameters

| Name      | Type   | Description                                                          |
| --------- | ------ | -------------------------------------------------------------------- |
| language  | string | 2-letter language code. Must be "en", "et" or "ru". Default is "en". |
| token     | string | Your 'access token' (API key).                                       |
| reg\_code | string | Company registration number.                                         |
| country   | string | 3-letter country code "EST" or "LVA". Default is "EST".              |

{% tabs %}
{% tab title="200 This is just an example, the list is not full." %}

```javascript
{
    "financial_information": [
        {
            "annual_year": "2019",
            "net_sales": "111111",
            "net_sales_trend": 1.1111111111111111,
            "net_profit_loss": "12345",
            "net_profit_loss_trend": 222.1111111111111111,
            "total_profit_loss": "12345",
            "total_profit_loss_trend": 333.1111111111111111,
            "current_assets": "123456",
            "current_assets_trend": 3.1111111111111111,
            "equity": "1234567",
            "equity_trend": 1.1111111111111111,
            "short_term_liabilities": "301478",
            "short_term_liabilities_trend": 5.1111111111111111,
            "non_current_assets": null,
            "non_current_assets_trend": -100,
            "non_current_liabilities": null,
            "non_current_liabilities_trend": -100,
            "liabilities_and_equity": "1234567",
            "liabilities_and_equity_trend": 2.1111111111111111,
            "net_sales_consolidated": null,
            "net_sales_consolidated_trend": null,
            "net_profit_loss_consolidated": null,
            "net_profit_loss_consolidated_trend": null,
            "employees": "99",
            "employees_trend": 1.22,
            "employees_consolidated": null,
            "employees_consolidated_trend": null,
            "current_assets_consolidated": null,
            "current_assets_consolidated_trend": null,
            "equity_consolidated": null,
            "equity_consolidated_trend": null,
            "short_term_liabilities_consolidated": null,
            "short_term_liabilities_consolidated_trend": null,
            "liabilities_and_equity_consolidated": null,
            "liabilities_and_equity_consolidated_trend": null,
            "export_revenue": null
        },
        {
            "annual_year": "2018",
            "net_sales": "111111",
            "net_sales_trend": -1.1111111111,
            "net_profit_loss": "1111",
            "net_profit_loss_trend": 0,
            "total_profit_loss": "1111",
            "total_profit_loss_trend": 0,
            "current_assets": "111111",
            "current_assets_trend": -1.1111111111,
            "equity": "111111",
            "equity_trend": 0.1111111111,
            "short_term_liabilities": "111111",
            "short_term_liabilities_trend": -1.111111111,
            "non_current_assets": "111111",
            "non_current_assets_trend": -1.11111111111,
            "non_current_liabilities": "11111",
            "non_current_liabilities_trend": 0,
            "liabilities_and_equity": "1111111",
            "liabilities_and_equity_trend": -1.11111111,
            "net_sales_consolidated": null,
            "net_sales_consolidated_trend": 0,
            "net_profit_loss_consolidated": null,
            "net_profit_loss_consolidated_trend": 0,
            "employees": "11",
            "employees_trend": 11.11111111,
            "employees_consolidated": null,
            "employees_consolidated_trend": 0,
            "current_assets_consolidated": null,
            "current_assets_consolidated_trend": 0,
            "equity_consolidated": null,
            "equity_consolidated_trend": 0,
            "short_term_liabilities_consolidated": null,
            "short_term_liabilities_consolidated_trend": 0,
            "liabilities_and_equity_consolidated": null,
            "liabilities_and_equity_consolidated_trend": 0,
            "export_revenue": null
        },
        {
            "annual_year": "2017",
            "net_sales": "1111111",
            "net_sales_trend": 11.111111111,
            "net_profit_loss": "-1111",
            "net_profit_loss_trend": 0,
            "total_profit_loss": "-1111",
            "total_profit_loss_trend": 0,
            "current_assets": "1111111",
            "current_assets_trend": 0.111111111,
            "equity": "1111111",
            "equity_trend": -1.11111111,
            "short_term_liabilities": "111111",
            "short_term_liabilities_trend": 11.111111111,
            "non_current_assets": "111111",
            "non_current_assets_trend": 11.1111111111,
            "non_current_liabilities": "0",
            "non_current_liabilities_trend": -111,
            "liabilities_and_equity": "111111",
            "liabilities_and_equity_trend": 1.111111111,
            "net_sales_consolidated": null,
            "net_sales_consolidated_trend": 0,
            "net_profit_loss_consolidated": null,
            "net_profit_loss_consolidated_trend": 0,
            "employees": "11",
            "employees_trend": 0,
            "employees_consolidated": null,
            "employees_consolidated_trend": 0,
            "current_assets_consolidated": null,
            "current_assets_consolidated_trend": 0,
            "equity_consolidated": null,
            "equity_consolidated_trend": 0,
            "short_term_liabilities_consolidated": null,
            "short_term_liabilities_consolidated_trend": 0,
            "liabilities_and_equity_consolidated": null,
            "liabilities_and_equity_consolidated_trend": 0,
            "export_revenue": null
        }
    ],
    "financial_ratios": [
        {
            "annual_year": "2019",
            "roa": 1.1111111111111111,
            "equity_ratio": 11.111111111111111,
            "quick_ratio": 1.1111111111111111,
            "profit_margin": 1.1111111111111111,
            "revenue_per_emploee": 11111.11111111111,
            "profit_per_emploee": 111.111111111111
        },
        {
            "annual_year": "2018",
            "roa": 0.1111111111,
            "equity_ratio": 11.1111111111,
            "quick_ratio": 1.11111111111,
            "profit_margin": 0.11111111111,
            "revenue_per_emploee": 11111.1111,
            "profit_per_emploee": 11.111111
        },
        {
            "annual_year": "2017",
            "roa": -1.11111111111,
            "equity_ratio": 11.1111111111,
            "quick_ratio": 1.111111111111,
            "profit_margin": -1.111111111,
            "revenue_per_emploee": 11111.1111111111,
            "profit_per_emploee": -111.1111111111
        }
    ]
}
```

{% endtab %}

{% tab title="400 Invalid country code" %}

```javascript
{
    "error": "error",
    "code": 400,
    "message": "Only EST and LVA countries are supported in this request"
}
```

{% endtab %}

{% tab title="401 Invalid token" %}

```javascript
{
    "error": "error",
    "code": 401,
    "message": "Token is wrong"
}
```

{% endtab %}

{% tab title="402 Not enough credit" %}

```javascript
{
    "error": "error",
    "code": 402,
    "message": "Monthly requests limit exceeded"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "error": "error",
    "code": 403,
    "message": "This request is not allowed for you"
}
```

{% endtab %}

{% tab title="404 Could not find a company matching this query" %}

```javascript
{
    "error": "error",
    "code": 404,
    "message": "No such company"
}
```

{% endtab %}

{% tab title="409 " %}

```javascript
{
    "error": "error",
    "code": 409,
    "message": "Something went wrong"
}
```

{% endtab %}

{% tab title="422 Validation failed" %}

```javascript
{
    "error": "error",
    "code": 422,
    "message": "Schema validation error"
}
```

{% endtab %}

{% tab title="423 " %}

```javascript
{
    "error": "error",
    "code": 423,
    "message": "Locked. Wait for previous request to complete"
}
```

{% endtab %}

{% tab title="500 " %}

```javascript
{
    "error": "error",
    "code": 500,
    "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}
